## SYNOPSIS

           last [-R] [-num] [ -n num ] [-adiox] [ -f file ] [name...]
           [tty...]
           lastb [-R] [-num]  [  -n  num  ]  [  -f  file  ]  [-adiox]
           [name...]  [tty...]

## DESCRIPTION

           Last  searches back through the file /var/log/wtmp (or the
           file designated by the -f flag) and displays a list of all
           users  logged  in  (and  out) since that file was created.
           Names of users and tty's can be given, in which case  last
           will  show  only  those  entries  matching  the arguments.
           Names of ttys can be abbreviated, thus last 0 is the  same
           as last tty0.

           When last catches a SIGINT signal (generated by the inter
           rupt key, usually control-C) or a SIGQUIT  signal  (gener
           ated  by  the quit key, usually control-\), last will show
           how far it has searched through the file; in the  case  of
           the SIGINT signal last will then terminate.

           The  pseudo  user  reboot  logs in each time the system is
           rebooted.  Thus last reboot will show a log of all reboots
           since the log file was created.

           Lastb is the same as last, except that by default it shows
           a log of the file /var/log/btmp, which  contains  all  the
           bad login attempts.

## OPTIONS

           -num   This  is  a  count  telling  last how many lines to
                  show.

           -n num The same.

           -R     Suppresses the display of the hostname field.

           -a     Display the hostname in the last column. Useful  in
                  combination with the next flag.

           -d     For  non-local  logins,  Linux  stores not only the
                  host name of the remote host but its IP  number  as
                  well.  This  option  translates  the IP number back
                  into a hostname.

           -i     This option is like -d in that it displays  the  IP
                  number  of  the remote host, but it displays the IP
                  number in numbers-and-dots notation.

           -o     Read an old-type wtmp file (written by  linux-libc5
                  applications).

## AUTHOR

           Miquel van Smoorenburg, miquels@cistron.nl

## SEE ALSO

           shutdown(8), login(1), init(8)

                               Jul 29, 1999             LAST,LASTB(1)